Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class Dom4JDriver

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlDriver
          com.thoughtworks.xstream.io.xml.Dom4JDriver

All Implemented Interfaces:
  HierarchicalStreamDriver

    public class Dom4JDriver

extends AbstractXmlDriver

Constructor Summary
`Dom4JDriver()`
`Dom4JDriver(org.dom4j.DocumentFactory documentFactory, org.dom4j.io.OutputFormat outputFormat)`
`Dom4JDriver(org.dom4j.DocumentFactory documentFactory, org.dom4j.io.OutputFormat outputFormat, XmlFriendlyReplacer replacer)`

Method Summary
`HierarchicalStreamReader` | `createReader(InputStream in)`
`HierarchicalStreamReader` | `createReader(Reader text)`
`HierarchicalStreamWriter` | `createWriter(OutputStream out)`
`HierarchicalStreamWriter` | `createWriter(Writer out)`
`org.dom4j.DocumentFactory` | `getDocumentFactory()`
`org.dom4j.io.OutputFormat` | `getOutputFormat()`
`void` | `setDocumentFactory(org.dom4j.DocumentFactory documentFactory)`
`void` | `setOutputFormat(org.dom4j.io.OutputFormat outputFormat)`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractXmlDriver
`xmlFriendlyReplacer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4JDriver

    public Dom4JDriver()

### Dom4JDriver

    public Dom4JDriver(org.dom4j.DocumentFactory documentFactory,
                       org.dom4j.io.OutputFormat outputFormat)

### Dom4JDriver

    public Dom4JDriver(org.dom4j.DocumentFactory documentFactory,
                       org.dom4j.io.OutputFormat outputFormat,
                       XmlFriendlyReplacer replacer)

Since:
  1.2

Method Detail

### getDocumentFactory

    public org.dom4j.DocumentFactory getDocumentFactory()

### setDocumentFactory

    public void setDocumentFactory(org.dom4j.DocumentFactory documentFactory)

### getOutputFormat

    public org.dom4j.io.OutputFormat getOutputFormat()

### setOutputFormat

    public void setOutputFormat(org.dom4j.io.OutputFormat outputFormat)

### createReader

    public HierarchicalStreamReader createReader(Reader text)

### createReader

    public HierarchicalStreamReader createReader(InputStream in)

### createWriter

    public HierarchicalStreamWriter createWriter(Writer out)

### createWriter

    public HierarchicalStreamWriter createWriter(OutputStream out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.